# comment out if not pre-rel
#define prel	rc5

# rel to bump
%define rel	3

%define major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Font rendering library for OpenGL applications
Name:		ftgl
Version:	2.4.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	MIT
Group:		System/Libraries
# was http://ftgl.wiki.sourceforge.net
URL:		https://github.com/frankheckenbach/ftgl
Source0:	https://github.com/frankheckenbach/ftgl/archive/v%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.gz
Patch1:		0001-fix-type-error.patch
Patch2:		0001-add-layout-height-width-and-depth-functions.patch
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(glu)
BuildRequires:	doxygen

%description
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org) applications.  Unlike other OpenGL
font libraries FTGL uses standard font file formats so doesn't need a
preprocessing step to convert the high quality font data into a lesser
quality, proprietary format.  FTGL uses the Freetype (www.freetype.org)
font library to open and 'decode' the fonts. It then takes that output
and stores it in a format most efficient for OpenGL rendering.

Rendering modes supported are:
     * Bit maps
     * Anti aliased pix maps
     * Texture maps
     * Outlines
     * Polygon meshes
     * Extruded polygon meshes

%package -n	%{libname}
Summary:	OpenGL Interface of Freetype2
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}

%description -n	%{libname}
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org) applications.  Unlike other OpenGL
font libraries FTGL uses standard font file formats so doesn't need a
preprocessing step to convert the high quality font data into a lesser
quality, proprietary format.  FTGL uses the Freetype (www.freetype.org)
font library to open and 'decode' the fonts. It then takes that output
and stores it in a format most efficient for OpenGL rendering.

Rendering modes supported are:
     * Bit maps
     * Anti aliased pix maps
     * Texture maps
     * Outlines
     * Polygon meshes
     * Extruded polygon meshes

%package -n	%{develname}
Summary:	Development related files of FTGL
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
This package contains headers and static libraries of FTGL.
You need to install it if you want to develop or compile
any programs that make use of OpenGL interface of freetype
library.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:~%prel}

%build
./autogen.sh
%configure --enable-shared \
           --disable-static
%make_build

%install
%make_install

# include doc ourselves, don't let software do it
rm -rf %{buildroot}%{_docdir}

# remove files not bundled
rm -f %{buildroot}%{_bindir}/FTGLDemo
rmdir %{buildroot}%{_bindir} || true

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS NEWS README
%license COPYING
%{_libdir}/libftgl.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS BUGS NEWS README TODO
%license COPYING
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.4.0-3.mga10
+ Revision: 2235966
- Mageia 10 Mass Rebuild

* Sun Feb 16 2025 daviddavid <daviddavid> 2.4.0-2.mga10
+ Revision: 2149062
- backport upstream patches to fix build

* Wed Feb 01 2023 daviddavid <daviddavid> 2.4.0-1.mga9
+ Revision: 1937437
- new version: 2.4.0 (after about more than 10 years)
- update Url and Source Url

* Sat Mar 19 2022 umeabot <umeabot> 2.1.3-0.rc5.18.mga9
+ Revision: 1800601
- Mageia 9 Mass Rebuild

* Sun Aug 23 2020 joequant <joequant> 2.1.3-0.rc5.17.mga8
+ Revision: 1618128
- remove arm64 workaround

* Thu Feb 13 2020 umeabot <umeabot> 2.1.3-0.rc5.16.mga8
+ Revision: 1512357
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.1.3-0.rc5.15.mga7
+ Revision: 1297796
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 2.1.3-0.rc5.14.mga7
+ Revision: 1234020
- fix build on aarch64

* Tue Feb 02 2016 umeabot <umeabot> 2.1.3-0.rc5.13.mga6
+ Revision: 931989
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.3-0.rc5.12.mga5
+ Revision: 740973
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.3-0.rc5.11.mga5
+ Revision: 679372
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1.3-0.rc5.10.mga4
+ Revision: 504669
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.1.3-0.rc5.9.mga3
+ Revision: 350974
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 pterjan <pterjan> 2.1.3-0.rc5.8.mga3
+ Revision: 335467
- Better fix for new rpm

* Wed Dec 26 2012 pterjan <pterjan> 2.1.3-0.rc5.7.mga3
+ Revision: 335415
- Rebuild to fix previous fix

* Wed Dec 26 2012 pterjan <pterjan> 2.1.3-0.rc5.6.mga3
+ Revision: 335406
- Workaround new rpm limitation

* Wed Jan 26 2011 ahmad <ahmad> 2.1.3-0.rc5.5.mga1
+ Revision: 40899
- don't ship .a, .la
- drop old/unneeded scriptlets
- imported package ftgl


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.3-0.rc5.4mdv2011.0
+ Revision: 605218
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.3-0.rc5.3mdv2010.1
+ Revision: 522675
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.1.3-0.rc5.2mdv2010.0
+ Revision: 424483
- rebuild

* Tue Dec 09 2008 Adam Williamson <awilliamson@mandriva.org> 2.1.3-0.rc5.1mdv2009.1
+ Revision: 312109
- new major 2
- fix doc file list
- no more unix/ subdir for build, no need to re-gen build scripts any more
- drop all patches (no longer needed)
- correct license
- update URLs
- bump to 2.1.3rc5 (for chromium, and fixes a bunch of stuff anyway)
- add infrastructure for pre-release builds
- drop useless defines

* Sun Sep 07 2008 Emmanuel Andry <eandry@mandriva.org> 2.1.2-3mdv2009.0
+ Revision: 282375
- apply devel policy

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.1.2-2mdv2009.0
+ Revision: 221006
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 2.1.2-1mdv2008.1
+ Revision: 125324
- kill re-definition of %%buildroot on Pixel's request


* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 2.1.2-1mdv2007.0
+ Revision: 113842
- Import ftgl

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 2.1.2-1mdv2007.1
- fix build
- new version

* Thu Aug 24 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.11-5mdv2007.0
- fix correct usage of %%mklibname

* Wed Aug 23 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.11-4mdv2007.0
- rebuild for new xorg
- %%mkrel

* Sun Jan 08 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.0.11-3mdk
- Rebuild

* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 2.0.11-2mdk
- Fix build (thx Stefan's bot)

* Thu Nov 04 2004 Abel Cheung <deaddog@mandrake.org> 2.0.11-1mdk
- First Mandrake package
- Patch0: Patch .pc file to use freetype2.pc

